#include<bits/stdc++.h>

using namespace std;

int main()
{
	int n, q,unos, izlaz, udoc,sredina1,sredina2,prviv,prvim,i;
	
	cin>>n>>q;
	
	vector<int> a,b;
	
	if(n%2 != 0){
		sredina1 = n/2;
		sredina2 = sredina1;
	}else{
		sredina1 = n/2-1;
		sredina2 = n/2;
	}
	
	for(i = 0; i < n;i++){
		cin>>unos;
		a.push_back(unos);
	}
	sort(a.begin(), a.end());
	
	
	
	for(i = 0; i < q;i++){
		cin>>unos;
		b.push_back(unos);
	}
	//cout<<sredina1<<" "<<sredina2<<"\n";
	
	for(i = 0; i < q;i++){
		
		if((b[i] == a[sredina1] || b[i] == a[sredina2]) ){
			cout<<0<<"\n";
		}else{
			prvim = lower_bound(a.begin(), a.end(), b[i]) - a.begin()-1;
			prviv = upper_bound(a.begin(), a.end(), b[i]) - a.begin();
			//cout<<prvim<<" "<<sredina2;
			if(prviv - sredina1 <= 0){
				if(n%2 == 0){	
					izlaz = (sredina1-prviv)*2 + 2;	
				}else{
					izlaz = (sredina1-prviv)*2 + 1;	
				}
				cout<<izlaz<<"\n";	
			}else{
				if(n%2 == 0){	
					izlaz = (prvim - sredina2)*2 + 2;
				}else{
					izlaz = (prvim - sredina2)*2 + 1;
				}
				izlaz = (prvim - sredina2)*2 + 1;
				cout<<izlaz<<"\n";
			}
		
		}
}
	
	
	




	return 0;
}